AnnotationDomainClassArtefactHandler (Grails 6.0.0)

Package: org.grails.core.artefact

## [Java] Class AnnotationDomainClassArtefactHandler

- org.grails.core.artefact.AnnotationDomainClassArtefactHandler

-     public class AnnotationDomainClassArtefactHandler
      extends DomainClassArtefactHandler

  Detects annotated domain classes for EJB3 style mappings.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `JPA_MAPPING_STRATEGY` |
    `private java.util.Set<java.lang.String>` | `jpaClassNames` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DomainClassArtefactHandler` | `ENTITY_ANN_NAME, GRAILS_PACKAGE_PREFIX, JAVAX_PERSISTENCE, PLUGIN_NAME, TYPE`
    `class ArtefactHandlerAdapter` | `allowAbstract, artefactSuffix, grailsClassImpl, grailsClassType, type`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.Set<java.lang.String>` | `getJpaClassNames()`
    `` | `public boolean` | `isArtefactClass(java.lang.Class clazz)`
    `` | `public static boolean` | `isJPADomainClass(java.lang.Class<?> clazz)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DomainClassArtefactHandler` | `doIsDomainClassCheck, getOrder, getPluginName, isArtefact, isArtefactClass, isArtefactResource, isDomainClass, isDomainClass, isValidArtefactClassNode, newArtefactClass, newArtefactClass, setGrailsApplication`
    `class ArtefactHandlerAdapter` | `getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefact, isArtefactClass, isArtefactGrailsClass, isArtefactResource, isValidArtefactClassNode, newArtefactClass`

- - ### Field Detail

    - #### private static final java.lang.String JPA_MAPPING_STRATEGY

    - #### private java.util.Set<java.lang.String> jpaClassNames

  - ### Method Detail

    - #### public java.util.Set<java.lang.String> getJpaClassNames()

    - #### @java.lang.Override public boolean isArtefactClass(@java.lang.SuppressWarnings("rawtypes") java.lang.Class clazz)

    - #### public static boolean isJPADomainClass(java.lang.Class<?> clazz)